Subject: Re: bug#30426: division inconsistency?

From: [email-masked]
Date: Mon, 12 Feb 2018 13:59:24 -0800

Thanks very much for the informative answer!  I am not sure what
(* 0 +nan.0) should return.  I lean toward +nan.0 mainly because
I assume NaNs exist to indicate an error somewhere, and you want
that to be returned. For (* 0 +inf.0) I have no druthers.
For (/ 0.0 0) and (/ +nan.0 0) s7 throws a divide-by-zero error,
but I have no good reason for doing this.  In s7, I'd prefer
to say (/ x y ...) is equal to (/ x (* y ...)) in all cases.